### Method

# Ide Workspace get_surface_by_name

#### Declaration

    IdeSurface*
    ide_workspace_get_surface_by_name (
      IdeWorkspace* self,
      const gchar* name
    )

#### Description

Locates an `IdeSurface` that has been added to the workspace by the name that was registered for the widget using gtk_widget_set_name().

Available since: | 3.32

#### Parameters

`name` | `const gchar*`
| The name of the surface.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeSurface`
| An `IdeSurface` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.